# RtWidgetToolEvent Struct Reference

List of all members.

## Public Attributes
RtMouseEvent | m_MouseEvent
| Mouse event.
IRsNode * | m_pViewNode
| View node in which widget is manipulated.
IRsNode * | m_pShapeTransformNode
| Widget shape transform node.
RtMatrixf | m_ShapeTransform
| shape transformation, read from visualisation node with swapped axes
RtMatrixf | m_OperationTransfrom
| Coordinate system, where action operates.
RtMatrixf | m_TransformMatrix
| shape space to world space transform
RtMatrixf | m_CoordSysTransform
| Total coordinate system transformation.
RtMatrixf | m_CurrentShapeTransform
| shape transformation, read from visualisation node with swapped axes
RtMatrixf | m_CurrentOperationTransfrom
| Current coordinate system, where action operates.
RtMatrixf | m_CurrentTransformMatrix
| Current shape space to world space transform.
RtMatrixf | m_CurrentCoordSysTransform
| Current total coordinate system transformation.

## Detailed Description

Structure that holds information about coordinate systems and mouse events during widget manipulation

## Member Data Documentation

RtMouseEvent RtWidgetToolEvent::m_MouseEvent

Mouse event.

IRsNode* RtWidgetToolEvent::m_pViewNode

View node in which widget is manipulated.

IRsNode* RtWidgetToolEvent::m_pShapeTransformNode

Widget shape transform node.

RtMatrixf RtWidgetToolEvent::m_ShapeTransform

shape transformation, read from visualisation node with swapped axes

RtMatrixf RtWidgetToolEvent::m_OperationTransfrom

Coordinate system, where action operates.

RtMatrixf RtWidgetToolEvent::m_TransformMatrix

shape space to world space transform

RtMatrixf RtWidgetToolEvent::m_CoordSysTransform

Total coordinate system transformation.

RtMatrixf RtWidgetToolEvent::m_CurrentShapeTransform

shape transformation, read from visualisation node with swapped axes

RtMatrixf RtWidgetToolEvent::m_CurrentOperationTransfrom

Current coordinate system, where action operates.

RtMatrixf RtWidgetToolEvent::m_CurrentTransformMatrix

Current shape space to world space transform.

RtMatrixf RtWidgetToolEvent::m_CurrentCoordSysTransform

Current total coordinate system transformation.